- [HTTP request](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchCreate#body.BatchCreateSelectedRoutesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchCreate#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchCreate#body.aspect_1)
- [CreateSelectedRouteRequest](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchCreate#CreateSelectedRouteRequest)
  - [JSON representation](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchCreate#CreateSelectedRouteRequest.SCHEMA_REPRESENTATION)

Creates multiple `SelectedRoute` resources and starts a schedule to periodically retrieve cache information for each of the routes.

### HTTP request

`POST https://roads.googleapis.com/selection/v1/{parent=projects/*}/selectedRoutes:batchCreate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project resource shared by all selected routes in the batch. It's required because the batch request supports only a single `parent`. Format: projects/{project} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchCreate#CreateSelectedRouteRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchCreate#CreateSelectedRouteRequest`)`` Required. The request message specifying the selected route to create. A maximum of 1,000 selected routes can be created in a batch. The parent resource of each request must either be empty or match the top-level `parent`. |

### Response body

Response from creating multiple `SelectedRoute`s.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "selectedRoutes": [ { object (`https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes#SelectedRoute`) } ] } ``` |

| Fields ||
|---|---|
| `selectedRoutes[]` | ``object (`https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes#SelectedRoute`)`` `SelectedRoute` resources created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `roads.selectedRoutes.batchCreate`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## CreateSelectedRouteRequest

Request to create a `SelectedRoute`.

| JSON representation |
|---|
| ``` { "parent": string, "selectedRoute": { object (`https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes#SelectedRoute`) }, "selectedRouteId": string } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The project that the `SelectedRoute` will be created under. Format: projects/{project} |
| `selectedRoute` | ``object (`https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes#SelectedRoute`)`` Required. The `SelectedRoute` to create. |
| `selectedRouteId` | `string` Optional. The ID to use for the `SelectedRoute`, which will become the final component of the `SelectedRoute`'s resource name. This value should be 4-63 characters, and valid characters are "a-z", "A-Z", "0-9", "-", or "_". If it isn't provided or empty, a UUID will be generated after resource creation. |